<!--- Don't forget to preview this in Cloud 9! -->

<!DOCTYPE HTML>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
    </head>
    <body>
        <!---
        The <h1> tag tells the browser that this element is a header. The number following the "h" tells
        it how important the header is. h1 is a top header. h2 is a subheader. h3 is a sub-sub header and so forth.

        Headers have the following default attributes:
        1. They cannot be word-wrapped.
        2. They are bold.
        3. They have a font 3 times as large as the default font size.
        4. They default to Times New Roman
        -->
        <h1>Harrison the Gangsta</h1>

        <!---
        The <a> tag tells the browser that this element is a link. The "href" attribute sets the destination for the link.
        The destination for a href can either be a website URL or the file path of another HTML document in the website.

        Links can also have the "target" attribute. This tells the browser where to load the link. Here's what the values mean:
        "_self" means to load in the current tab (default attribute value)
        "_blank" means to load in a new tab
        "_parent" means to load into the parent frame (we don't really use this nowadays. It pretty much does the same as _self).
        "_top" means to load in the fully body of the window (again, we don't really use this nowadays. Does the same as _self).
        
        Links can also have the "download" attribute. This tells the browser to download the specified file when the link is clicked.
        In the attribute value, put the file path of the desired document.
        Example: download="EX1-structureExample.html"
        -->
        <a href="www.google.com" target="_self" download="">Click here to find out more about this illusive criminal.</a>

        <!--- 
        The <p> tag tells the browser that this element is a paragraph. The text inside the paragraph element will be the default font
        size of the browser. Most of the time, that is 12pt font. Otherwise, they are like a normal word box.

        I know it's annoying, but all whitespace is taken into account within tags. This includes any indentation or new lines you make to try and
        tidy your code.
        -->
        <p>Harrison Griffin Schlutz was a notorious gangster of the mid 2k10s that terrorized the streets of Atlantis. He was also a teleporting detective as well, which sometimes gave him job-conflicts since he would get assigned himself.
        </p>

        <!--- 
        Below is a <span> tag. This tells is only for CSS purposes when you need to change the style of certain parts of a <h1>, a <p>, or an <a>.
        
        It has no other purpose outside of CSS.
        -->
        <h1>Harrison needs to <span>Shower</span></h1>

        <!--- 
        The <ol> tag tells the broswer that this element is an ordered list. This means that the list items inside will be numbered like 1, 2, 3, etc.
        In order to function properly, the <li> tag must be used inside to provide list items. Do not use any other tag inside.
        -->
        <ol>
            <li>Get soap</li>
            <li>Get shampoo</li>
            <li>Get deodorant</li>
            <li>Get industrial grade sand paper</li>
        </ol>

        <!--- 
        The <ol> tag tells the broswer that this element is an unordered list. This means that the list items inside with not be numbered and only have 
        a dash/dot. In order to function properly, the <li> tag must be used inside to provide list items. Do not use any other tag inside.
        -->
        <ul>
            <li>Get soap</li>
            <li>Get shampoo</li>
            <li>Get deodorant</li>
            <li>Get industrial grade sand paper</li>
        </ul>

        <!---
        Below is a complete table. A table is comprised of many components: a header row, a cell grid, a footer row, and cells inside. Here are what each tag means:
            - <table> tells the browser that this is a table and all elements inside should be placed as if they were in a table.
            - <thead> tells the broswer to accent this part of the table in order to denote that this is the header of the table.
            - <tbody> tells the broswer to treat this part normally as the cell grid.
            - <tfoot> tells the browser to accent this part of the table in order to denote that this is the footer of the table.
            - <tr> tells the broswer that this a row. These must only be placed within a thead, a tbody, or a tfoot. These require <td> tags inside in order to function.
            - <td> tells the broswer that this is an individual cell. These must be placed within <tr> rows or else it will not work.
        -->
        <table>
            <thead>
                <tr>
                    <th>Month</th>
                    <th>Harrison's Sanity</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>January</td>
                    <td>$100</td>
                </tr>
                <tr>
                    <td>October</td>
                    <td>3.14159265358979323</td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td>June</td>
                    <td>Pancakes</td>
                </tr>
            </tfoot>
        </table>

        <!---
        The <img> tag tells the browser that this element is an image. The <img> tag does not need an end </img> tag. It just is, because HTML5 does
        not allow you to insert text onto photos with out CSS.

        The most important attribute is the "src" attribute. This tells the browser where the image is. Either provide a link or a file path.

        The "alt" attribute tells the browser what to put as placeholder text should the image not load. In the value, put the placeholder text.
        -->
        <img src="https://upload.wikimedia.org/wikipedia/commons/5/5a/JimmyCarterPortrait2.jpg" alt="Harrison, the illusive Detective/Gangsta">

        <!---
        The <video> tag tells the browser that this element is a video. Note that not all browsers support the various video formats, but mp4 is generally
        accepted everywhere. Here are the <video> tag's attributes:
            - "autoplay" attribute means that the video will play as soon as it is ready & loaded. Does not need a value. Default does not have.
            - "controls" attribute means that the browser will display the controls (stop, start, rewind, etc.). Does not need a value. Default does not have.
            - "muted" attribute means that the video will not play sound. Does not need a value. Default does not have.
            - "poster" attribute means that the video will display this image while the video is loading. The value should be the link or file path of the image.
            - "preload" attribute determines how the browser will load the video.
                1. Value "auto" is default and means the browser will load automatically when the page loads
                2. Value "metadata" means the browser will load only the metadata.
                3. Value "none" means the browser will not automatically load the video.
        -->
        <video autoplay controls loop muted poster="https://upload.wikimedia.org/wikipedia/commons/5/5a/JimmyCarterPortrait2.jpg" preload="auto">
            
            <!---
            The source for videos is provided by a separate element. This has a tag id of <source> and has the attributes "src" and "type".
                - "src" is the link or file path of the video
                - "type" is the file type of the video. MP4 is preferred.

            NOTE: The link value for "src" attribute must end in ".mp4" or else it will not work. Thus, plain youtube links will not work.
            -->
            <source src="nope.mp4" type="video/mp4">
        </video>

        <!--- 
        <iframe> are just tags to denote an element that opens another website within the current website. Youtube and Vimeo love these iframes. Here is an example 
        of how to load in a youtube video. You can alternatively load in a website by typing its link into the src attribute.

        NOTE: You must have the youtube embed link (found in the video share icon next to the like/dislike bar), not the youtube website's URL.
        -->
        <iframe src="https://www.youtube.com/embed/zPyUp6_E7sg"></iframe>
    </body>
</html>